package intrinsic.mx.collections;

public class ListCollectionView extends intrinsic.flash.utils.Proxy implements intrinsic.mx.collections.IList, intrinsic.mx.collections.ICollectionView, intrinsic.mx.core.IMXMLObject, intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
	public intrinsic.mx.collections.IList list;
	public intrinsic.Function filterFunction;
	public int length;
	public intrinsic.mx.collections.Sort sort;

	/** Variables */
	public boolean dispatchResetEvent;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ListCollectionView() {
}

public ListCollectionView(intrinsic.mx.collections.IList arg0) {
}


/** Static Methods */

/** Methods */
//public native intrinsic.ListCollectionView.as$74.ListCollectionViewBookmark getBookmark(int arg0);
public native intrinsic.Array toArray();
public native Object getItemAt(int arg0);
public native Object getItemAt(int arg0, int arg1);
public native void addItem(Object arg0);
public native int getBookmarkIndex(intrinsic.mx.collections.CursorBookmark arg0);
public native void initialized(Object arg0, String arg1);
public native void addItemAt(Object arg0, int arg1);
public native String toString();
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native boolean willTrigger(String arg0);
public native boolean hasEventListener(String arg0);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native Object removeItemAt(int arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void disableAutoUpdate();
public native void itemUpdated(Object arg0);
public native void itemUpdated(Object arg0, Object arg1);
public native void itemUpdated(Object arg0, Object arg1, Object arg2);
public native void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public native boolean refresh();
public native int findItem(Object arg0, String arg1);
public native int findItem(Object arg0, String arg1, boolean arg2);
public native void reset();
public native void enableAutoUpdate();
public native void removeAll();
public native intrinsic.mx.collections.IViewCursor createCursor();
public native Object setItemAt(Object arg0, int arg1);
public native boolean contains(Object arg0);
public native int getItemIndex(Object arg0);

}
